Get business day sales

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
GET /f/v2/business-location/{businessLocationId}/sales-daily

Returns financial data for a business location for a specified business day.

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

    Minimum value is 1.

Query parameters

  • date string(date) Required

    The date of the business day to get sales for.

    Example:2022-09-21 or 2022-12-01

  • include string

    Objects to be included in the response.

    The allowed values are: staff, table, consumer, payments, revenue_center, account_profile, payment_authorization.

    Default value is empty.

Responses

  • 200 application/json

    Financial data returned successfully.

    Hide response attributes Show response attributes object
    • sales array[object]

      Array of sale objects.

      Hide sales attributes Show sales attributes object
      • accountReference string

        Unique reference id of the account.

      • accountFiscId string

        The account identifier.

      • receiptId string

        The unique identifier for the receipt associated with this account.

      • source object
        Hide source attributes Show source attributes object
        • initialAccountId string

          The accountFiscId of the initial transaction associated with the current account, if applicable. For example, in the case of a refund.

          This will match the accountFiscId of the sale if there is no associated account.

        • previousAccountId string

          The accountFiscId of the previous transaction associated with the current account, if applicable. For example, in the case of a refund.

          This may be different from initialAccountId if there is more than one associated account.

          It will not be displayed if there is no associated account.

      • salesLines array[object]
        Hide salesLines attributes Show salesLines attributes object
        • id string

          The sale line identifier.

        • parentLineId string

          The sale line this item is associated with, if applicable.

        • totalNetAmountWithTax string

          Total amount of sale line, including tax. Important Note: This field is for use with tax inclusive businesses. For tax exclusive businesses, see taxAmount and taxLines for tax calculations. The value is precise up to six decimal places.

        • totalNetAmountWithoutTax string

          The total amount of the sale line, before tax. The value is precise up to six decimal places.

        • menuListPrice string

          The price listed on the menu.

        • unitCostPrice string

          The unit cost price.

        • serviceCharge string

          The service charge.

        • serviceChargeType string

          The type of service charge applied to the sale line.

          Values are UNTAXED, APPORTIONED, or NO_SERVICE_CHARGE.

        • serviceChargeRate string

          The service charge rate, as a percentage. The value is precise up to two decimal places.

        • discountAmount string

          The discount amount. The value is precise up to six decimal places.

        • taxCode string

          The system code for the tax rate.

        • taxAmount string

          The tax total.

        • taxRatePercentage string

          The tax rate, as a percentage. The value is precise up to two decimal places.

        • taxLines array[object]
          Hide taxLines attributes Show taxLines attributes object
          • taxId string

            The unique identifier for the tax rate.

          • taxCode string

            The system code for the tax rate.

          • taxRate string

            The tax rate, as a multiplier.

          • taxAmount string

            The tax total.

          • taxIncluded boolean

            Whether or not the business is tax inclusive.

        • discountType string

          The type of discount.

        • discountCode string

          The discount code.

        • discountName string

          The name of the discount.

        • accountDiscountAmount string

          The account discount amount. The value is precise up to two decimal places.

        • accountDiscountType string

          The account discount type (if any).

        • accountDiscountCode string

          The account discount code (if any).

        • accountDiscountName string

          The account discount name (if any).

        • totalDiscountAmount string

          The total discount amount. The value is precise up to two decimal places.

        • sku string

          The item SKU.

        • name string

          The item name.

        • nameOverride string

          Item name entered manually by the POS user upon item selection.

        • statisticGroup string

          The item's statistic group.

        • quantity string

          The quantity of the item sold, which can potentially be a fractional value, especially in cases where the item is sold by weight. The value is precise up to three decimal places.

        • accountingGroup object
          Hide accountingGroup attributes Show accountingGroup attributes object
          • accountingGroupId integer(int64)

            The unique identifier for the item's accounting group.

          • name string

            The name of the accounting group.

          • statisticGroup string

            The accounting group's statistic group.

          • code string

            The code assigned to the accounting group.

        • currency string

          The currency for the sale line.

        • tags array[string]

          The tags attached to the line item.

        • revenueCenter string

          The name of the revenue center where the sale line was created.

        • revenueCenterId integer(int64)

          The unique identifier for the revenue center where the sale line was created.

        • categories array[object]
          Hide categories attributes Show categories attributes object
          • category string

            The line item's category.

          • value string

            The category value.

        • timeOfSale string(date-time)

          The timestamp of when the line item was created.

        • staffId integer(int64)

          The unique identifier for the user who created the line item.

        • staffName string

          The name of the user who created the line item.

        • deviceId integer(int64)

          The unique identifier for the device where the sale line was created.

        • deviceName string

          The name of the device where the sale line was created.

        • voidReason string

          The void reason, if applicable.

        • accountProfileCode string

          The code of the account profile used.

      • payments array[object]
        Hide payments attributes Show payments attributes object
        • code string

          The code of the payment method.

        • description string

          The name of the payment method.

        • paymentMethodId integer(int64)

          The unique identifier for the payment method.

        • netAmountWithTax string

          The net payment amount, including tax. The value is precise up to two decimal places, and if necessary, it is rounded using the "half-even" rounding mode.

        • currency string

          The payment currency.

        • tip string

          The tip amount. The value is precise up to two decimal places, and if necessary, it is rounded using the "half-even" rounding mode.

        • consumer object
          Hide consumer attributes Show consumer attributes object
          • id string

            The UUID of the customer associated with the payment, if applicable.

          • customerId integer(int64)

            The unique identifier for the customer.

          • title string

            The title or honorific of the customer.

          • firstName string

            The first name of the customer.

          • lastName string

            The last name of the customer.

          • phoneNumber1 string

            The primary phone number of the customer.

          • phoneNumber2 string

            An alternative phone number for the customer.

          • companyName string

            The name of the company associated with the customer, if applicable.

          • addressLine1 string

            The primary address line for the customer's address.

          • addressLine2 string

            The secondary address line for the customer's address, such as apartment or suite number.

          • zipCode string

            The postal code for the customer's address.

          • city string

            The city of the customer's address.

          • state string

            The state or region of the customer's address.

          • email string

            The email address of the customer.

          • taxIdentifier string

            The tax identifier of the customer.

          • fiscalCode string

            The fiscal code of the customer.

          • destinationCode string

            The destination code of the customer.

        • type string

          The type of payment

          Values are NORMAL or ACCOUNTS_RECEIVABLE.

        • deviceId string

          The unique identifier for the device where the payment was processed.

        • deviceName string

          The name of the device where the payment was processed.

        • staffId number

          The unique identifier for the user who processed the payment.

        • staffName string

          The name of the user who processed the payment.

        • authorization string

          The authorization code for the payment.

        • externalReference string

          The external reference code for the payment.

        • revenueCenter string

          The name of the revenue center where the payment was processed.

        • revenueCenterId number

          The unique identifier for the revenue center where the payment was processed.

        • fiscId string

          The unique identifier for the payment.

        • uuid string

          The base64url encoded UUID of the payment.

        • fiscDate string(date-time)

          The time stamp of the payment.

        • surcharge string

          The surcharge amount. The value is precise up to two decimal places, and if necessary, it is rounded using the "half-even" rounding mode.

        • roundingAmount string

          The cash rounding adjustment applied to the payment, in countries where cash payments are legally rounded (for example Belgium, where cash totals are rounded to the nearest 5 cents). It is the difference between the rounded amount actually paid (netAmountWithTax) and the amount payable before rounding. The value is negative when the amount was rounded down, positive when it was rounded up and "0.00" when no rounding was applied. The value is precise up to two decimal places

      • timeOfOpening string(date-time)

        The account creation timestamp.

      • timeClosed string(date-time)

        The account close timestamp.

      • cancelled boolean

        Whether the account was cancelled.

      • externalFiscalNumber string

        The external reference id of the account.

      • tableNumber string

        The table number.

      • tableName string

        The name of the table.

      • accountProfileCode string

        The account profile associated with the account.

      • ownerName string

        The name of the user associated with the account.

      • ownerId integer(int64)

        The unique identifier for the user associated with the account.

      • type string

        The type of sale.

        Values are SALE, VOID, RECALL, REFUND, SPLIT, UPDATE, TRANSFER, FLOAT, TRANSITORY, CROSS_BL, or CANCEL.

      • externalReferences array[string]

        List of external references for online orders. Includes the TASK prefix, businessLocationId, and the unique reference code provided in the thirdPartyReference field of an online order.

      • nbCovers number(double)

        The number of covers.

      • dineIn boolean

        Whether the order is dine-in.

      • deviceId integer(int64)

        The unique identifier for the device where the account was created.

      • deviceName string

        The name of the device where the account was created.

      • voidReason string

        The void reason, if applicable.

    • nextStartOfDayAsIso8601 string(date-time)

      Start of next business day, in the merchant's local time.

    • dataComplete boolean

      Whether or not the data is complete for the requested day.

  • 400 application/json

    Bad Request - Invalid request parameters or format.

    Hide response attribute Show response attribute object
    • error string Required
  • 500 application/json

    Internal Server Error - An error occurred on the server.

    Hide response attributes Show response attributes object
    • timestamp string(date-time) Required
    • path string Required
    • status integer(int32) Required
    • error string Required
    • requestId string Required
GET /f/v2/business-location/{businessLocationId}/sales-daily
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/f/v2/business-location/45454565682155/sales-daily?date=2021-09-21' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "sales": [
    {
      "accountReference": "57X0j3hzTZ2oo9sdVWiUog==",
      "accountFiscId": "A65315.17",
      "receiptId": "R65315.13",
      "source": {
        "initialAccountId": "A65315.13",
        "previousAccountId": "A65315.15"
      },
      "salesLines": [
        {
          "id": "S65315.33",
          "parentLineId": "S65315.32",
          "totalNetAmountWithTax": "11.00",
          "totalNetAmountWithoutTax": "8.33",
          "menuListPrice": "10.00",
          "unitCostPrice": "5.00",
          "serviceCharge": "1.00",
          "serviceChargeType": "APPORTIONED",
          "serviceChargeRate": "10.00",
          "discountAmount": "0.00",
          "taxCode": "VAT20",
          "taxAmount": "1.6667",
          "taxRatePercentage": "20.00",
          "taxLines": [
            {
              "taxId": "41910290874374",
              "taxCode": "VAT20",
              "taxRate": "1.2",
              "taxAmount": "1.666667",
              "taxIncluded": true
            }
          ],
          "discountType": "DISCOUNT",
          "discountCode": "10PCT",
          "discountName": "10% Discount",
          "accountDiscountAmount": "1.00",
          "accountDiscountType": "DISCOUNT",
          "accountDiscountCode": "Staff 20%",
          "accountDiscountName": "Staff Discount",
          "totalDiscountAmount": "1.00",
          "sku": "52",
          "name": "Burger",
          "nameOverride": "Burger Double Cheese",
          "statisticGroup": "Food",
          "quantity": "1.000",
          "accountingGroup": {
            "accountingGroupId": 141948669132845,
            "name": "Food",
            "statisticGroup": "Food",
            "code": "123"
          },
          "currency": "GBP",
          "tags": [
            "string"
          ],
          "revenueCenter": "Fixed POS",
          "revenueCenterId": 141948669132822,
          "categories": [
            {
              "category": "default",
              "value": "Food"
            }
          ],
          "timeOfSale": "2023-07-27T19:58:22.474Z",
          "staffId": 14670,
          "staffName": "Manager",
          "deviceId": 75125,
          "deviceName": "iPad9",
          "voidReason": "Unhappy Client",
          "accountProfileCode": "AAP"
        }
      ],
      "payments": [
        {
          "code": "CASH",
          "description": "Cash",
          "paymentMethodId": 141948669132824,
          "netAmountWithTax": "11.00",
          "currency": "GBP",
          "tip": "0.00",
          "consumer": {
            "id": "ec021fb0-4c12-425e-b30f-320ab720448b",
            "customerId": 120913,
            "title": "Mr",
            "firstName": "John",
            "lastName": "Doe",
            "phoneNumber1": "555-555-5555",
            "phoneNumber2": "555-555-5556",
            "companyName": "Company Name",
            "addressLine1": "123 Street st.",
            "addressLine2": "Unit 123",
            "zipCode": "12345",
            "city": "Some City",
            "state": "Some State",
            "email": "example@example.com",
            "taxIdentifier": "123456789",
            "fiscalCode": "123456789",
            "destinationCode": "123456789"
          },
          "type": "NORMAL",
          "deviceId": "72676",
          "deviceName": "ipad9",
          "staffId": 180480,
          "staffName": "Manager",
          "authorization": "001",
          "externalReference": "1000",
          "revenueCenter": "Fixed POS",
          "revenueCenterId": 141948669132822,
          "fiscId": "T72691.8",
          "uuid": "bc7i2X_CTkeg8qlec66wmg==",
          "fiscDate": "2023-02-14T20:04:08.665Z",
          "surcharge": "0.00",
          "roundingAmount": "-0.02"
        }
      ],
      "timeOfOpening": "2023-02-14T19:58:48.224Z",
      "timeClosed": "2023-02-14T20:04:08.734Z",
      "cancelled": false,
      "externalFiscalNumber": "IntegratorReferenceId",
      "tableNumber": "1",
      "tableName": "Dining Room, Table 1",
      "accountProfileCode": "AAP",
      "ownerName": "Manager",
      "ownerId": 14670,
      "type": "SALE",
      "externalReferences": [
        "\"TASK:OO-{businessLocationId}-{unique-reference-code}\", \"TASK:OO-{businessLocationId}-(another-unique-reference-code)\""
      ],
      "nbCovers": 2.0,
      "dineIn": true,
      "deviceId": 75125,
      "deviceName": "ipad9",
      "voidReason": "Unhappy Client"
    }
  ],
  "nextStartOfDayAsIso8601": "2023-07-28T05:30:00-05:00",
  "dataComplete": false
}
Response examples (400)
{
  "error": "string"
}
Response examples (500)
{
  "timestamp": "2026-05-04T09:42:00Z",
  "path": "string",
  "status": 42,
  "error": "string",
  "requestId": "string"
}